#asxp.io
server {
    listen 443 ssl http2;
    listen [::]:443 ssl http2;
    server_name asxp.io www.asxp.io; 

	root /srv/http/asxpio;
	index index.html;

	location / {
		# First attempt to serve request as file, then
		# as directory, then fall back to displaying a 404.
		try_files $uri $uri/ =404;
	}

    location ~ \.php$ {
        fastcgi_pass unix:/var/run/php-fpm/php-fpm.sock;
        fastcgi_index index.php;
        root /srv/http/asxpio;
        include fastcgi.conf;
    }

    ssl_certificate /etc/letsencrypt/live/asxp.io/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/asxp.io/privkey.pem;
    include /etc/letsencrypt/options-ssl-nginx.conf;
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
}

server {

    listen 80;
	listen [::]:80;
	server_name asxp.io www.asxp.io; 

    if ($host = http://$host$request_uri) {
        return 301 https://$host$request_uri;
    } 

    if ($host = http://www.$host$request_uri) {
        return 301 https://$host$request_uri;
    } 

	location / {
		try_files $uri $uri/ =404;
	}
}   